# Uses of Class
org.eclipse.mat.inspections.osgi.model.OSGiModel

Packages that use OSGiModel
Package
Description
org.eclipse.mat.inspections.osgi
These are queries for examining OSGi bundles.
org.eclipse.mat.inspections.osgi.model
These are utilities for the OSGi bundle queries.

## Uses of OSGiModel in org.eclipse.mat.inspections.osgi

Methods in org.eclipse.mat.inspections.osgi that return OSGiModel
Modifier and Type
Method
Description
`OSGiModel`
BundleRegistryQuery.BundleTreeResult.`getModel()`
Methods in org.eclipse.mat.inspections.osgi with parameters of type OSGiModel
Modifier and Type
Method
Description
`static BundleRegistryQuery.BundleTreeResult`
BundleRegistryQuery.Factory.`create(OSGiModel model)`
`static BundleRegistryQuery.BundleTreeResult`
BundleRegistryQuery.Factory.`extensionPointsOnTop(OSGiModel model)`
`static BundleRegistryQuery.BundleTreeResult`
BundleRegistryQuery.Factory.`servicesOnTop(OSGiModel model)`
Constructors in org.eclipse.mat.inspections.osgi with parameters of type OSGiModel
Modifier
Constructor
Description
``
`BundleTreeResult(OSGiModel model)`
``
`ExtensionTreeResult(OSGiModel model)`
``
`ServicesTreeResult(OSGiModel model)`

## Uses of OSGiModel in org.eclipse.mat.inspections.osgi.model

Methods in org.eclipse.mat.inspections.osgi.model that return OSGiModel
Modifier and Type
Method
Description
`OSGiModel`
EquinoxBundleReader.`readOSGiModel(IProgressListener listener)`
`OSGiModel`
EquinoxBundleReader2.`readOSGiModel(IProgressListener listener)`
`OSGiModel`
IBundleReader.`readOSGiModel(IProgressListener listener)`
get a model describing the OSGi framework